Subscribe
Accepted Solution

NetApp-Harvest - Version 1.14 was requested, but only 1.12 is supported

[ Edited ]

Hi, 

 

I have been using the guide from Christopher Madden's Blog - Link ; to install NetApp-Harvest, Graphite and Grafana.

I installed all three components on the same server - Ubunto 14.04.

 

Following the guide for Netapp Harvest - Link , i encountered a problem when trying to run -  ./netapp-worker -poller my-filler-name

 

[2016-02-09 09:43:13] [WARNING] [sysinfo] Update of system-info cache DOT Version failed with reason: Version 1.14 was requested, but only 1.12 is supported.
[2016-02-09 09:43:13] [WARNING] [main] system-info update failed; will try again in 10 seconds.

Also, another weird problem that is probability related. when looking in my filers (7-Mode) i see the following messages in console: 

 

Tue Feb  9 09:51:34 IST [mantrastg: HTTPPool01:warning]: HTTP XML Authentication failed from my-harvest-server.

I configured the filer according to the guide (tls enable, new role and user etc.). Also, i doubled checked and i am using the correct user (netapp harvest) and password.

 

So, even though these problems seem related, i don't know how or why.

 

Any suggestions would be highly appreciated.

Thanks!

 

update:

I tried it with a Cluster Mode (8.2) Filer and the problem disappeared. So, I am guessing that it got something to do with the filer, and not the configuration.

Unfortunately, I can't see any data on the graphs (but I can see it in graphit)

 

 

Re: NetApp-Harvest - Version 1.14 was requested, but only 1.12 is supported

Hi @LeoKo,

 

The version 1.14 and 1.12 error is related to the API version supported by Data ONTAP.  I know 1.14 works with 7.3.7, which is the oldest release I have tested.  If you are running something older then indeed the API will fail an error.  You can try to reduce the API level used to 1.12, but I have no idea if it will work or cause issues with newer releases.  To try it edit netapp-worker v1.2.2 line 119 from

$connection{server_obj} = connect_naserver(1, 14);

to:

$connection{server_obj} = connect_naserver(1, 12);

 

For the XML error this usually means a bad password.  I would verify you don't have a poller still running (so maybe started two, with different conf files).

 

If you are still having issues then please check the troubleshooting section of the harvest admin guide.  We'd need to determine if the data is getting collected correctly, forwarded to graphite correctly, inserted into the graphite db correctly, and that grafana can display it correctly.  So a few steps to check in sequence.

 

Cheers,
Chris Madden

Storage Architect, NetApp EMEA (and author of Harvest)

Blog: It all begins with data

 

P.S.  Please select “Options” and then “Accept as Solution” if this response answered your question so that others will find it easily!

 

 

Re: NetApp-Harvest - Version 1.14 was requested, but only 1.12 is supported

Hi Chris,

It Works!

First of all, let me thank you for all the guides I used to configure the Harvest and Grafana/Graphit Man Happy

As mentioned in the update I suspected that the problem lies with filer and you now confirmed this – my 7Mode filer is version 7.3.4P4.

------------

I am facing another issue. With cluster mode everything is working except a few graphs – Read Latency, Write Latency, CPU Utilization and Disk Utilization.

In the upper left graph there is an orange exclamation mark. In the details it says "Multiple Series Error" – "Metric query returns 2 series. Single stat Panel expects a single series."

Any Idea what can be the problem?

Re: NetApp-Harvest - Version 1.14 was requested, but only 1.12 is supported

Hi @LeoK

 

Great it's working!  The few dashboards with the error are due to a change in the latest version of grafana that came out shortly after I released Harvest 1.2.2.  I have updated the dashboards to be compatible with Grafana 2.5 (and 2.6) and they are found here:

http://blog.pkiwi.com/grafana-2-5-support-with-netapp-harvest/

 

So follow those instructions to update the dashboards and you should be all set.

 

 

Cheers,
Chris Madden

Storage Architect, NetApp EMEA (and author of Harvest)

Blog: It all begins with data

 

 

Re: NetApp-Harvest - Version 1.14 was requested, but only 1.12 is supported

Great!

 

I will do this. 

Thanks again for all your help!